﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3649
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization

'
'This source code was auto-generated by xsd, Version=2.0.50727.3038.
'
Namespace WebService

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class CTSEnableStatusNotificationRequest

        Private dateTimeStampField As CTSEnableStatusNotificationRequestDateTimeStamp

        Private sourceField As CTSEnableStatusNotificationRequestSource

        Private sourceOrderNumberField As CTSEnableStatusNotificationRequestSourceOrderNumber

        Private orderStatusField As CTSEnableStatusNotificationRequestOrderStatus

        '''<remarks/>
        Public Property DateTimeStamp() As CTSEnableStatusNotificationRequestDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(value As CTSEnableStatusNotificationRequestDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property Source() As CTSEnableStatusNotificationRequestSource
            Get
                Return Me.sourceField
            End Get
            Set(value As CTSEnableStatusNotificationRequestSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As CTSEnableStatusNotificationRequestSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(value As CTSEnableStatusNotificationRequestSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property OrderStatus() As CTSEnableStatusNotificationRequestOrderStatus
            Get
                Return Me.orderStatusField
            End Get
            Set(value As CTSEnableStatusNotificationRequestOrderStatus)
                Me.orderStatusField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableStatusNotificationRequestDateTimeStamp

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableStatusNotificationRequestSource

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableStatusNotificationRequestSourceOrderNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableStatusNotificationRequestOrderStatus

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class
End Namespace
